import type { MediaMetadata } from '@/stores/media.ts'
import type { RemoteServer } from '@/stores/remoteServer.ts'

export interface User {
  username: string
  displayName: string
  description: string
  profilePicture?: MediaMetadata
  bannerPicture?: MediaMetadata
  backgroundPicture?: MediaMetadata
  server: RemoteServer
}
